package com.huimv.acquisition.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.acquisition.entity.EartagDataEntity;
import com.huimv.acquisition.entity.vo.EartagParamVo;
import com.huimv.acquisition.utils.PageUtils;

import java.text.ParseException;
import java.util.Map;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
public interface EartagDataService extends IService<EartagDataEntity> {

    PageUtils queryPage(Map<String, Object> params);


    PageUtils findByConditions(Map<String, Object> params) throws ParseException;


     //这个是为了 杭电展示优化的版本  耳标号已经写死了
    Map queryEartagDeatils(EartagParamVo eartagParamVo) throws ParseException;

    Map<String, Object> queryDetails(Map<String, Object> params) throws ParseException;


    Map<String, Object> queryDetailsByEarTag(Map<String, Object> params) throws ParseException;




}

